<div class="data-container " *ngIf="data!=null && data.Name!=null">
    <div class="query-response-header row">
        <h5>{{data.Name}}</h5>
    </div>

    <div class="row intent-query">
        <div class="col-md-12">
            <b>Training Phrase</b>
            <div class="input-query">
                <input type="text" id="TrainingPhrase" class="form-control" (keypress)="addTraining($event);"
                    placeholder="Add User Expression.">
            </div>
            <div id="Phrases" class="phrase-container query-phrase ">
                <div class="divPhrase form-control" *ngFor="let item of data.Training;">
                    <span class="text">{{item.Request_Description}}</span>
                    <span class="pull-right removePhrase" (click)="removeTraining($event.currentTarget)">&times;</span>
                </div>

            </div>
        </div>
    </div>
    <div class="row intent-response">
        <div class="col-md-12">
            <b>Response Phrase</b>
            <div class="input-group has-icon">
                <textarea id="ResponsePhrase" class="form-control py-2 mr-1" (keypress)="addResponses($event);"
                    placeholder="Add User Expression."></textarea>

                <span class="input-group-append">
                    <div class="input-group-text border-0 mt-1 mb-1" style="margin-left: -3rem!important;">
                        <span (click)="toggled = !toggled" [(emojiPickerIf)]="toggled"
                            [emojiPickerDirection]="'bottom' || 'top' || 'left' || 'right'"
                            (emojiPickerSelect)="handleSelection($event)">😄</span>
                    </div>
                </span>
            </div>
            <div id="ResPhrases" class="phrase-container ">
                <div class="divPhrase form-control" *ngFor="let item of data.Response;">
                    <span class="text">{{item.Response_Description}}</span>
                    <span class="pull-right removePhrase" (click)="removeResponse($event.currentTarget)">&times;</span>
                </div>

            </div>

        </div>

        <div class="col-md-12 text-center mb-2 mt-2">
            <button class="btn btn-primary" (click)="saveIntent()" id="saveIntentDetails">Save</button>
        </div>
    </div>
</div>
<div *ngIf="data!=null && data.Name==null" style="text-align:center;">
    No data found!
</div>
<div class="loader-container" *ngIf="data==null">
    <i class="fa fa-refresh fa-2x fa-spin"></i>
</div>